Bug Hunting Session
Bug 66215 - EDITING: unable to select a text to change its properties (bold, italic ...) when picture defined as background
Summary: EDITING: unable to select a text to change its properties (bold, italic ...) ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: Other All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: BSA target:4.2.0 target:4.1.2 target:...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-06-26 16:52 UTC by newjem
Modified: 2013-09-01 11:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
a sample file where you can't add the "beautifool" word to the personal dictionary whith the right button (2.01 MB, application/vnd.oasis.opendocument.text)
2013-06-26 16:52 UTC, newjem
Details

Note You need to log in before you can comment on or make changes to this bug.
Description newjem 2013-06-26 16:52:32 UTC
Created attachment 81487 [details]
a sample file where you can't add the "beautifool" word to the personal dictionary whith the right button

Problem description: 

Steps to reproduce:
1. insert a picture and send it to the background, anchor it to th page
2. If you have a text written on this picture, it is impossible to select with the right button to add to select it or check grammar and orthograph 
3. ....

Current behavior:
Unable to select a word with right button, the background picture is allways selected
Expected behavior:
Doesn't select backgrounf and let display the right button menu on the text to choose an action


              
Operating System: Windows 7
Version: 4.0.3.3 release
Comment 1 retired 2013-07-03 14:15:31 UTC
Thanks for the report. Was able to reproduce the problem with OS X 10.8.4, LO 4.1.0.1.

Setting to NEW. OS setting to ALL.
Comment 2 Owen Genat (retired) 2013-08-03 08:22:34 UTC
I have tested the provided document under these setups:

- Crunchbang 11 TDF/LO v3.5.7.2
- Ubuntu 10.04 TDF/LO v3.6.0.4
- Ubuntu 10.04 TDF/LO v3.6.6.2
- Ubuntu 10.04 TDF/LO v4.0.3.3
- Crunchbang 11 TDF/LO v4.1.0.4

This appears to be a regression. Version v3.6.0.4 and prior work as expected, while versions 3.6.6.2 and later do not i.e., the graphic inhibits selection and general manipulation of the foreground text. The instructions in this AskLO thread indicate that the function has worked previously:

http://ask.libreoffice.org/en/question/4683/full-a4-background-image-in-writer/

...however a recent answer in that thread also indicates that it has now stopped working.
Comment 3 Owen Genat (retired) 2013-08-04 00:32:13 UTC
Added keyword REGRESSION as a result of my testing in comment #2.
Comment 4 Michael Stahl (CIB) 2013-08-12 19:28:55 UTC
regression from:

commit e8fbe97900f13305b17015d9044993bde4adab36
Author:     Cédric Bosdonnat <cedric.bosdonnat@free.fr>
AuthorDate: Fri Nov 23 17:51:16 2012 +0100

    fdo#52182: Fixed click in frames located in header/footer
    
    Using a distance to click to select the best object to select between
    normal text and background object.
Comment 5 Michael Stahl (CIB) 2013-08-28 12:55:02 UTC
fixed on master
Comment 6 Commit Notification 2013-08-28 12:59:06 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=edd2db1c783bd571ff796a5298385cacc91877b9

fdo#66215: sw: fix clicking on text above background fly



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-08-29 14:52:17 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2ab0e4df9951009d68614583c0db3527e07f7bab&h=libreoffice-4-1

fdo#66215: sw: fix clicking on text above background fly


It will be available in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-09-01 11:49:13 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c1db93a0663e9346e165ac58ddeee018f30d35ff&h=libreoffice-4-0

fdo#66215: sw: fix clicking on text above background fly


It will be available in LibreOffice 4.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.